#!/usr/bin/env bash

# Country list
response=$(curl --silent -G 'https://www.acapela-cloud.com/api/country/')
echo "countries : $response"
echo ""

# Signup
#response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/signup/' -d '{"email":"","password":"","country":"France"}' -H 'Content-Type: application/json') 
#echo $response
#echo ""

# Check signup code 
#code=$'b\'116d03acf7feedfeeaf9431eeee4f0f38318bc0c\''
#response=$(curl --silent  -G  'https://www.acapela-cloud.com/api/signup/verify/' --data-urlencode "code=$code"  -H 'Content-Type: application/json')
#echo $response
#echo ""


# Read Terms of Service list
response=$(curl --silent -G 'https://www.acapela-cloud.com/api/tos/')
echo "$response"
echo ""


# Login
# Fill with your credentials
response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/login/' -d '{"email":"","password":""}' -H 'Content-Type: application/json') 
token=$(echo $response | sed "s/{.*\"token\":\"\([^\"]*\).*}/\1/g")
echo 'token : ' $token
echo ""


# Accept Terms of Service
response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/tos/' -d '{"answer":"yes"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo "$response"
echo ""



# Account info
response=$(curl --silent -G 'https://www.acapela-cloud.com/api/account/' -H 'Authorization: Token '$token)
echo "account : $response"
echo ""


# Send TTS command
response=$(curl --silent -G  'https://www.acapela-cloud.com/api/command/?voice=Alice22k_HQ&text=hello&output=storage&type=mp3&token='$token)
echo  "command : $response"
echo ""

response=$(curl --silent -G --data-urlencode "text=hello" --data-urlencode "voice=Alice22k_HQ" --data-urlencode "output=storage" 'https://www.acapela-cloud.com/api/command/' -H 'Authorization: Token '$token)
echo  "command : $response"
echo ""


# Stats
response=$(curl --silent -G 'https://www.acapela-cloud.com/api/stats/?type=credit&token='$token) 
echo  "stats credit : $response"
echo ""


# Update account info
response=$(curl --silent -X PATCH 'https://www.acapela-cloud.com/api/account/' -d '{"address":"rue"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo $response
echo ""


# Change password
response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/password/change/' -d '{"password":"test"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo $response
echo ""


# Reset password 
#response=$(curl --silent -X POST 'https://www.acapela-cloud.com/api/password/reset/' -d '{"email":""}' -H 'Content-Type: application/json') 
#echo $response
#echo ""

# Verify Reset password 
#code=$'b\'1577d73383958beb09bb6740650856f521df7c24\''
#response=$(curl --silent -X POST  'https://www.acapela-cloud.com/api/password/reset/verify/' -d '{"code":"'$code'","password":""}'  -H 'Content-Type: application/json')
#echo $response
#echo ""

# Storage upload
response=$(curl --silent -X POST 'http://localhost/api/storage/' -F 'file=@./acapela-cloud-demo.sh' -H 'Authorization: Token '$token  -H 'Content-Type: multipart/form-data'  -H 'Content-Disposition:  attachment; filename=acapela-cloud-api-test.sh') 
echo 'response : ' $response
echo ""


# Storage list
response=$(curl --silent -G 'https://www.acapela-cloud.com/api/storage/' -H 'Authorization: Token '$token)
echo "files : $response"
echo ""

	
# Storage get
response=$(curl --silent -G 'http://www.acapela-cloud.com/api/storage/' --data-urlencode "file=acapela-cloud-demo.sh" -H 'Authorization: Token '$token)
echo "files : $response"
echo ""
	
	
# Storage delete
response=$(curl --silent -X DELETE 'https://www.acapela-cloud.com/api/storage/' -d '{"file":"acapela-cloud-demo.sh"}' -H 'Authorization: Token '$token -H 'Content-Type: application/json') 
echo 'response : ' $response
echo ""

# Storage list
response=$(curl --silent -G 'https://www.acapela-cloud.com/api/storage/' -H 'Authorization: Token '$token)
echo "files : $response"
echo ""
	
	
# Logout
response=$(curl  --silent -G 'https://www.acapela-cloud.com/api/logout/' -H 'Authorization: Token '$token) 
echo $response
echo ""
